Subject: [bug#34650] Acknowledgement ([PATCH] ruby-mailcatcher: Draft)

From: Christopher Baines <[email-masked]>
Date: Mon, 04 Mar 2019 21:06:56 +0000

Pierre Neidhardt <[email-masked]> writes:

> I've eventually figured that many of the dep requirements in the Ruby community
> follow poor practices, so I've lifter all of them to ">=" and Mailcatcher seems
> to work smoothly still (it starts at least).
>
> I've cleanup up the packages, only the tests are missing.  The rest should be
> ready for merge.
>
> Christopher, feel free to merge.  Only ruby-tilt conflicts with your patch.

I've now merged some of the Ruby patches that I was working on,
including ruby-tilt. It would be good if you could rebase your patches
on top of master, and check if they still work.

I also ran guix lint on the packages and got the following warnings:

gnu/packages/ruby.scm:8431:2: [email-masked]: line 8453 is way too long (91 characters)
gnu/packages/ruby.scm:8491:2: [email-masked]: can be upgraded to 0.7.1
gnu/packages/ruby.scm:8491:2: [email-masked]: line 8510 is way too long (92 characters)
gnu/packages/ruby.scm:8491:2: [email-masked]: line 8514: parentheses feel lonely, move to the previous or next line
gnu/packages/ruby.scm:8491:2: [email-masked]: line 8530 is way too long (96 characters)

I'll have a look at the individual patches as well.